Bug 48495 - webkit-patch land -g HEAD started failing, leaving uncommitted ChangeLog's
Summary: webkit-patch land -g HEAD started failing, leaving uncommitted ChangeLog's
Status: NEW
Alias: None
Product: WebKit
Classification: Unclassified
Component: Tools / Tests (show other bugs)
Version: 528+ (Nightly build)
Hardware: Macintosh OS X 10.5
: P2 Normal
Assignee: Nobody
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2010-10-27 19:21 PDT by Yuzo Fujishima
Modified: 2017-07-18 08:29 PDT (History)
5 users (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Yuzo Fujishima 2010-10-27 19:21:59 PDT
At r70736, webkit-patch land -g HEAD started failing for me.
(The bug for which I tried to land the patch is a security bug. Can this be a factor?)

$ git status
# On branch *********
nothing to commit (working directory clean)
$ webkit-patch land -g HEAD
Parsing ChangeLog: <WebKitSrc>/WebKit/LayoutTests/ChangeLog
Parsing ChangeLog: <WebKitSrc>/WebKit/WebCore/ChangeLog

WARNING: Builders ["Leopard Intel Release (Tests)", "GTK Linux 32-bit Release", "GTK Linux 32-bit Debug"] are red, please watch your commit carefully.
See http://build.webkit.org/console?category=core

Fetching: https://bugs.webkit.org/show_bug.cgi?id=*****&ctype=xml
Logging in as yuzo@google.com...
Fetching: https://bugs.webkit.org/show_bug.cgi?id=*****&ctype=xml
Guessing "Eric Seidel" as reviewer from attachment ***** on bug *****.
Parsing ChangeLog: <WebKitSrc>/WebKit/LayoutTests/ChangeLog
Parsing ChangeLog: <WebKitSrc>/WebKit/WebCore/ChangeLog
Working copy is modified. Cannot commit individual git_commits.
Working copy is modified. Cannot commit individual git_commits.
$ git status
# On branch *********
# Changed but not updated:
#   (use "git add <file>..." to update what will be committed)
#   (use "git checkout -- <file>..." to discard changes in working directory)
#
#	modified:   LayoutTests/ChangeLog
#	modified:   WebCore/ChangeLog
#
no changes added to commit (use "git add" and/or "git commit -a")
$ git diff
diff --git a/LayoutTests/ChangeLog b/LayoutTests/ChangeLog
index 93707d9..322ba96 100644
--- a/LayoutTests/ChangeLog
+++ b/LayoutTests/ChangeLog
@@ -1,6 +1,6 @@
 2010-10-26  Yuzo Fujishima  <yuzo@google.com>
 
-        Reviewed by NOBODY (OOPS!).
+        Reviewed by Eric Seidel.
 
         Fix for Bug ***** - ********************************************************
         https://bugs.webkit.org/show_bug.cgi?id=*****
diff --git a/WebCore/ChangeLog b/WebCore/ChangeLog
index 08fad35..d278f56 100644
--- a/WebCore/ChangeLog
+++ b/WebCore/ChangeLog
@@ -1,6 +1,6 @@
 2010-10-26  Yuzo Fujishima  <yuzo@google.com>
 
-        Reviewed by NOBODY (OOPS!).
+        Reviewed by Eric Seidel.
 
         Fix for Bug ***** - ********************************************************
         https://bugs.webkit.org/show_bug.cgi?id=*****
Comment 1 Ojan Vafai 2010-10-28 09:29:59 PDT
Unfortunately, webkit-patch land has always had this issue. webkit-patch land -g only works if the changelog doesn't need to be modified.

It occurs to me that this could be fixed by reordering some code. Right now, the way it works for committing a specific commit:
1. Update the changelogs based off the bug
2. Create a dummy branch
3. Cherry pick the given commit to the dummy branch
4. Commit the dummy branch
5. Switch back to the original branch

In theory, we could do step 1 after step 3 and everything would work right. As the code is currently structured, that might be a bit tricky, but it's possible.

I don't have time to fix this, but I'd be happy to review a patch that did.
Comment 2 Thiago Marcos P. Santos 2012-12-05 04:31:30 PST
I did this from the master branch:

$ webkit-patch land -g mybranch

It committed mybranch but used as SVN message the ChangeLog of the master branch's HEAD. :|
Comment 3 Adam Barth 2012-12-05 17:45:26 PST
Perhaps we should remove support for -g from land?